Bug 140817 - Unable to print english alphabet and numeric glyphs using Lohit font in Evolution Calendar
Summary: Unable to print english alphabet and numeric glyphs using Lohit font in Evolu...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: evolution-data-server   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Dave Malcolm
QA Contact:
URL:
Whiteboard:
Keywords: i18n
Depends On:
Blocks: Indic 138075
TreeView+ depends on / blocked
 
Reported: 2004-11-25 05:23 UTC by Lawrence Lim
Modified: 2014-03-26 00:51 UTC (History)
3 users (show)

Fixed In Version: evolution-data-server-1.0.2-9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-20 23:44:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ps file for ta_IN locale (35.34 KB, text/plain)
2004-11-25 05:23 UTC, Lawrence Lim
no flags Details
ps file for pa_IN locale (46.45 KB, text/plain)
2004-11-25 05:23 UTC, Lawrence Lim
no flags Details
ps file for hi_IN locale (36.86 KB, text/plain)
2004-11-25 05:24 UTC, Lawrence Lim
no flags Details
ps file for gu_IN locale (36.31 KB, text/plain)
2004-11-25 05:24 UTC, Lawrence Lim
no flags Details
ps file for bn_IN locale (38.93 KB, text/plain)
2004-11-25 05:24 UTC, Lawrence Lim
no flags Details

Description Lawrence Lim 2004-11-25 05:23:03 UTC
Description of problem:
Printing the entries from the Evolution Calendars for all 5 supported indic
languages, at the moment, cannot print english alphabet.

Tried with Evolution Mail and gedit, the problem described does not exist.

Version-Release number of selected component (if applicable):
ttfonts-indic-1.7-2

evolution-2.0.2-5
evolution-data-server-devel-1.0.2-4
evolution-devel-2.0.2-5
evolution-data-server-1.0.2-4
evolution-webcal-1.0.10-1
evolution-connector-2.0.2-1

How reproducible:
Always

Steps to Reproduce:
1.LANG=bn_IN.UTF-8 evolution
2.click on calendar
3.print the calendar page
  
Actual results:
Unable to print english alphabet

Expected results:
Able to print both indic characters and english alphabet

Additional info:
Attached .ps file for all 5 indic locale

Comment 1 Lawrence Lim 2004-11-25 05:23:04 UTC
Created attachment 107446 [details]
ps file for ta_IN locale

Comment 2 Lawrence Lim 2004-11-25 05:23:57 UTC
Created attachment 107447 [details]
ps file for pa_IN locale

Comment 3 Lawrence Lim 2004-11-25 05:24:15 UTC
Created attachment 107448 [details]
ps file for hi_IN locale

Comment 4 Lawrence Lim 2004-11-25 05:24:38 UTC
Created attachment 107449 [details]
ps file for gu_IN locale

Comment 5 Lawrence Lim 2004-11-25 05:24:55 UTC
Created attachment 107450 [details]
ps file for bn_IN locale

Comment 6 Dave Malcolm 2005-01-20 21:19:19 UTC
I believe this is basically a symptom of bug #138075; have already
marked as a blocker of it.

Comment 7 Dave Malcolm 2005-02-15 19:10:59 UTC
Please can you test this patch for bug #138075 and see if it fixes this:
https://bugzilla.redhat.com/bugzilla/attachment.cgi?id=111075&action=view

Comment 8 Akira TAGOH 2005-03-01 11:46:12 UTC
It looks good after applying that patch.

Comment 9 Lawrence Lim 2005-03-02 05:20:10 UTC
I have also tried the patch, all english and numeric glyphs are now printing
correctly.

Comment 10 Lawrence Lim 2005-04-06 08:09:25 UTC
Tested with evolution-2.0.2-14, confirmed that the english alphabets and numeric
glyphs are now printing properly.

Comment 11 Lawrence Lim 2005-05-12 05:18:28 UTC
My apologies, I changed the version of the bug accidentally. Tested with the
packages, and they are good.

evolution-debuginfo-2.0.2-16
evolution-webcal-1.0.10-1
evolution-devel-2.0.2-16
evolution-connector-2.0.2-5
evolution-data-server-devel-1.0.2-7
evolution-2.0.2-16
evolution-data-server-1.0.2-7

Comment 12 Lawrence Lim 2005-11-20 23:44:05 UTC
Confirmed bug has been fixed in U2.

evolution-2.0.2-22.i386.rpm
evolution-connector-2.0.2-8.i386.rpm
evolution-data-server-1.0.2-9.i386.rpm
evolution-data-server-devel-1.0.2-9.i386.rpm
evolution-devel-2.0.2-22.i386.rpm
evolution-webcal-1.0.10-3.i386.rpm



Note You need to log in before you can comment on or make changes to this bug.